"use strict";
this.name = "coyoteFerdie4";
this.author = "Okti";
this.copyright = "(C) Okti";
this.licence = "Creative Commons Attribution - Non-Commercial - Share Alike 3.0";
this.description = "Ship script for coyoteFerdie4.";

this.shipSpawned = function () {
	//this.ship.reportAIMessages = true;
}

this.shipDied = function (whom, why) {
	if (whom == null) {
		return;
	}
	if (whom.isPlayer) {
		this.shArray = system.shipsWithPrimaryRole("coyoteferdie4");
		if (this.shArray.length == 0) {} else {
			var j = 0
			while (j < this.shArray.length) {
				this.shArray[j].explode();
				j += 1;
			}
		}
		this.shArray = system.shipsWithRole("coyoteviper2");
		if (this.shArray.length == 0) {} else {
			this.shArray[0].commsMessage("Bizalein system police thank you for your assistance.", player.ship);
		}
	}
}